# contains

    number contains(container, value, flags)

Returns 1 if the array, dictionary or text contains value.

Flags:

Flag | Description
--- | ---
`"i"` | Case-insensitive matching when comparing text (US-ASCII only)
`"iu"` | Case-insensitive matching when comparing text (Unicode, preferred)
`"u"` | Unicode-aware case folding
`"k"` | Search for a matching dictionary entry key, not value

## Parameters

1. container — array, dictionary or text to search for value.
2. value — value to search for.
3. flags — optional text where each character is a flag.

## Returns

- 1 if value is found in container, 0 otherwise.